# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mdbook-content-collections"
version = "0.1.4"
authors = ["T Sawyer saylesss88@github.com"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An mdBook preprocessor that provides Astro-like content collections with typed frontmatter, validation, and structured content indexing"
readme = "README.md"
keywords = [
    "mdbook",
    "content-collections",
    "frontmatter",
    "preprocessor",
    "schema",
]
categories = [
    "command-line-utilities",
    "web-programming",
    "development-tools",
]
license = "Apache-2.0"
repository = "https://github.com/saylesss88/mdbook-content-collections"

[lib]
name = "mdbook_content_collections"
path = "src/lib.rs"

[[bin]]
name = "mdbook-content-collections"
path = "src/bin/mdbook-content-collections.rs"

[dependencies.anyhow]
version = "1"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.globset]
version = "0.4"

[dependencies.pulldown-cmark]
version = "0.13"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.toml]
version = "0.9.8"

[dependencies.walkdir]
version = "2"
